get
/api/v2/contentList generated content documents.
List generated content documents.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
page
query
No description provided.
Schema: integer
size
query
No description provided.
Schema: integer
mode
query
No description provided.
Schema: string
status
query
No description provided.
Schema: string
query
query
Filter by generated title, description, prompt, or URL.
Schema: string
sortOrder
query
No description provided.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"documents": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
},
"mode": {
"type": "string"
},
"type": {
"type": "string",
"nullable": true
},
"title": {
"type": "string",
"nullable": true
},
"promptId": {
"type": "string",
"nullable": true
},
"prompt": {
"type": "string",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"optimizationLevel": {
"type": "string",
"nullable": true
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"completedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"progressPercent": {
"type": "integer"
},
"progressMessage": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"status",
"mode",
"createdAt",
"updatedAt"
]
}
},
"total": {
"type": "integer"
},
"page": {
"type": "integer"
},
"size": {
"type": "integer"
},
"totalPages": {
"type": "integer"
}
},
"required": [
"documents",
"total",
"page",
"size",
"totalPages"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.